#!/bin/sh

. $_EXEC/pdiread.sh
. $_EXEC/cards/l10n.sh
. $_EXEC/cards/widgets.sh
. $_EXEC/cards/list.sh

upcase=' y;abcdefghijklmnopqrstuvwxyzäöüé;ABCDEFGHIJKLMNOPQRSTUVWXYZÄÖÜÉ;; '

filter="$(GET f)"
order="$(GET o)"
edit="$(GET e |PATH)"

[ "$order" ] || order=firstname
edit="${edit##*/}"

{ w_filter_diag
  printf '
  [form class="newcard" action="%s/cards/new_card.sh" method="POST"
    [button type="submit" %s]
    [input name="seed" placeholder="%s"]
  ]' "${_BASE}" "$(l10n newcard)" "$(l10n vcf_seed_label)"
  [ "$edit" ] && edit_card "$edit"
  list_cards
} | yield_page cards #/cards/cards.css
